<template>
    <div class="content">
        <el-row style="height: 100%;width: 100%;">
            <el-col :span="12">
                <h1 class="title">云校园社区</h1>
                <div class="text">
                    <div class="cotext">
                        校园社区是一个基于校园系统，面向所有校园用户的新概念在线社交平台。<br />
                        在这里你可以分享你的校园生活，结识志同道合的伙伴，与来自各地的校园伙伴一同学习.<br />
                        我们平台目前一共分为4个模块，校园贴吧模块，学友聊天模块，书屋与创作模块，校园购物模块，<br />
                        校园社区平台还是一个开放灵感的开放平台，在这里你不仅可以阅读来自各地的在线数据，
                        还可以欣赏来自平台各用户发表的推文，同时你可以创作自己的推文或小说
                    </div>
                </div>
            </el-col>
            <el-col :span="12" class="box-rigth">
                <el-card class="card">
                    <el-row>
                        <el-col :span="12">
                            <h1>欢迎来到 <span style="color: rgb(246, 237, 142)">校园云</span></h1>
                            <p>新概念校园社交平台</p>
                            <img src="../assets/img/OIP.jpg" alt="">
                            <p>已有账号</p>
                            <el-button color="rgb(246, 237, 142)" :dark="isDark" plain @click="isChange()">登录账号</el-button>
                        </el-col>
                        <el-col :span="12">
                            <h1>欢迎来到 <span style="color:rgb(246, 237, 142)">校园云</span></h1>
                            <p>新概念校园社交平台</p>
                            <img src="../assets/img/qqq.gif" alt="">
                            <p>没有账号?</p>
                            <el-button color="rgb(246, 237, 142)" :dark="isDark" plain @click="isChange()">注册账号</el-button>
                        </el-col>
                    </el-row>
                </el-card>
                <transition name="changeShow" appear>
                    <div class="forms left" v-show="isLogin">
                        <el-form :model="loginForm"   ref="ruleFormRef">
                            <h1>登录账号</h1>
                            <el-form-item >
                                <el-input v-model="loginForm.phone" placeholder="请输入账号" @input="loginChange()" />
                            </el-form-item >
                            <el-form-item>
                                <el-input v-model="loginForm.password" show-password type="password" placeholder="请输入密码" @input="loginChange()" />
                            </el-form-item>
                            <el-form-item>
                                <el-checkbox label="记住密码" name="type" style="width: 10px;height: 10px;" />
                            </el-form-item>
                            <el-button color="rgb(65, 200, 231)" :dark="isDark" plain @click="Login()" :disabled="loginBtn">登录</el-button>

                        </el-form>
                    </div>
                </transition>
                <transition name="changeShow2" appear>
                    <div class="forms rigth" v-show="!isLogin">
                        <el-form :model="formReg" style="width: ; " >
                            <h1>注册账号</h1>
                            <el-form-item>
                                <el-input v-model="formReg.uname" placeholder="请输入用户名" @input="regChange()" />
                            </el-form-item>
                            <el-form-item>
                                <el-input v-model="formReg.phone" placeholder="请输入手机号" @input="regChange()" />
                            </el-form-item>
                            <el-form-item>
                                <el-input v-model="formReg.password" placeholder="请输入密码" show-password type="password" @input="regChange()" />
                            </el-form-item>
                            <el-form-item>
                                <el-input v-model="formReg.passwords" placeholder="请确认密码" show-password type="password" @input="regChange()"/>
                            </el-form-item>
                            <el-form-item>

                            </el-form-item>
                            <el-button color="#7cb7ff" :dark="isDark" plain size="" :disabled="regBtn" @click="Register()">注册</el-button>
                        </el-form>
                    </div>
                </transition>
            </el-col>
        </el-row>
    </div>
</template>

<script lang="ts" setup>
import { onUpdated, onMounted,reactive, ref } from 'vue';
import { useRoute, useRouter } from 'vue-router';
import axios from 'axios';
import { defineComponent } from 'vue';
// import isDark from 'elment-plus'
import qs from 'qs';

const loginBtn = ref(true);
const regBtn = ref(true);
     
const isLogin = ref(true);
const router = useRouter();
// const labelPosition = ref('right')
// const formSize = ref('default')
// const ruleFormRef = ref<FormInstance>()
const loginForm = reactive({
    phone: '',
    password: '',
})
const formReg = reactive({
    uname:'',
    phone: '',
    password: '',
    passwords: '',
})
const isChange = () => {
    isLogin.value = !isLogin.value;
};
const loginChange = () =>{
    if(loginForm.phone != '' && loginForm.password != ''){        
        loginBtn.value = false;
       }else{
        loginBtn.value = true;
       }
}
const regChange = () =>{
    if(formReg.phone != '' && formReg.password != '' && formReg.passwords != ''){        
        regBtn.value = false;
       }else{
        regBtn.value = true;
       }
}
const Login = () => {
    // router.push('/')
    axios.post('/api/schoolCloud/pages/login.php',  qs.stringify(loginForm))
        .then(res => {
          console.log(res.data)
          const resul = res.data;
           //登陆成功后设置了，localStorage 保存登陆状态和userid
            localStorage.setItem("Userid", res.data.uid);
            localStorage.setItem("Flag", "isLogin");
          if(resul.code == 0){            
            ElMessage({
            message: '登陆成功！',
            type: 'success',
        })
            router.push('/')
          }else{
            ElMessage.error(`${res.data.msg}`)
          }
          // 根据返回的响应数据进行相应的操作
        }).catch(err => {
          console.log(err)
        })
    }
    // 注册的方法
    const Register = () => {
        if(formReg.password == formReg.passwords){
                axios.post('/api/schoolCloud/pages/register.php',  qs.stringify(formReg))
                    .then(res => {
                    console.log(res.data)
                    const resul2 = res.data;
                    if(resul2.code == 0){            
                        ElMessage({
                        message: '注册成功！',
                        type: 'success',
                    })
                    isLogin.value = !isLogin.value;
                    }else{
                        ElMessage.error(`${res.data.msg}`)
                    }
                    // 根据返回的响应数据进行相应的操作
                    }).catch(err => {
                    console.log(err)
                    })
                }else{
                    ElMessage.error('两次输入的密码不同，请重新输入!') 
                }
    }
</script>

<style lang="less">
.nav-list {
    text-align: center;
}

.content {
    width: 100%;
    height: 100%;
    // background: url('../assets/img/qqq.jpg') no-repeat;
    // background-size:100% 100%;
    background-color: #7cb7ff;
    // animation-name: bg-animation;
    // animation-duration: 30s;
    // animation-timing-function: linear;
    // animation-iteration-count: infinite;

    .box-rigth {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 0px;
        backdrop-filter: blur(0px);
        background-color: rgba(255, 255, 255, 0.372);
        box-shadow: rgba(0, 0, 0, 0.3) 2px 8px 8px;
        border: 1px rgba(255, 255, 255, 0.4) solid;
        border-bottom: 1px rgba(40, 40, 40, 0.35) solid;
        border-right: 1px rgba(40, 40, 40, 0.35) solid;

        .card {
            width: 630px;
            height: 400px;
            box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.1);

            .el-col {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;

                h1 {
                    padding-top: 20px;
                    padding-bottom: 10px;
                    font-size: 24px;
                    font-weight: 600;
                    /* 大写 */
                    text-transform: uppercase;
                    color: #5c5c5c;
                    /* 字间距 */
                    letter-spacing: 5px;
                }

                p {
                    font-size: 14px;
                    padding-bottom: 5px;
                    color: #5c5c5c;
                }

                img {
                    width: 150px;
                    height: 150px;
                    opacity: 0.9;
                    margin: 40px 0;
                }
            }
        }
    }

    .forms {

        background-color: rgb(246, 237, 142);
        width: 300px;
        height: 500px;
        border-radius: 5px;
        box-shadow: 2px 0 10px rgba(0, 0, 0, 0.1);

        z-index: 2;

        .el-form {
            height: 100%;
            width: 100%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }

        h1 {
            padding: 10px 30px;
            margin-bottom: 30px;
            font-size: 36px;
            letter-spacing: 7px;
            text-align: center;
            color: white;
            font-weight: 600;
            border-bottom: 2px white solid;
            // font-family: 'Courier New', 'STXingkai', sans-serif;
        }

        .el-input {
            height: 40px;
            width: 240px;
        }

        .el-button {
            height: 50px;
            border-radius: 20px;
            margin-top: 30px;
            width: 240px;
        }
    }

    .left {
        position: absolute;
        // top: 15%;
        left: 19%;
    }

    .rigth {
        position: absolute;
        // top: 15%;
        right: 19%;
    }

    .title {
        margin: 70px 50px;
        padding: 0 0;
        font-size: 80px;
        font-weight: 900;
        font-family: 'Courier New', 'FZShuTi', sans-serif;
        color: #ffffff;
        letter-spacing: 10px;
        // 文字倒影
        -webkit-box-reflect: below 0 -webkit-linear-gradient(transparent, transparent 50%, rgba(255, 255, 255, .3));
    }

    .text {
        width: 600px;
        height: 300px;
        position: absolute;
        padding: 40px;
        left: 50px;
        top: 20%;

        // background-color: rgb(96, 199, 164);
        .cotext {
            padding-top: 40px;
            width: 540px;
            color: rgb(32, 32, 32);
            font-size: 24px;
            letter-spacing: 5px;
            line-height: 28px;
            font-family: 'Courier New', 'STXingkai', sans-serif;
        }
    }
}

// 背景过渡动画
@keyframes bg-animation {
    0% {
        background: #ADD8E6;
    }

    33% {
        background: #89ffff;
    }

    66% {
        background-color: #7cb7ff;
    }

    100% {
        background: #ADD8E6;
    }
}

// 登录和注册切换的动画
.changeShow-enter-active {
    animation: changeShow 0.8s ease-in-out;
}

// .changeShow-leave-active {
//   animation: changeShow 0.8s reverse;
// }
@keyframes changeShow {
    from {
        transform: translateX(300px);
    }

    to {
        transform: translateX(0px);
    }
}

.changeShow2-enter-active {
    animation: changeShow2 0.8s ease-in-out;
}

// .changeShow2-leave-active {
//   animation: changeShow2 0.8s reverse;
// }
@keyframes changeShow2 {
    from {
        transform: translateX(-300px);
    }

    to {
        transform: translateX(0px);
    }
}</style>